#ifndef CSOLVER
#define CSOLVER

#include "Collision.hpp"
#include <vector>

namespace CSolver
{
  void SolveAllCollisions(std::vector<Collision*>* collisions, double delta_time);
  void SolveCollision(Collision* collision, double delta_time);
  void SolveContact(Collision* collision, double delta_time, double elasticity);
  //void SolvePrecise(Collision* collision, bool default_ela = true, double elasticity = 0);
  //void UpdateVelocities(Collision* collision);
}

#endif
