#ifndef EDGE
#define EDGE

#include "Vector3.hpp"

class Edge
{
  public:
    Vector3 dir;
    Vector3 a;
    Vector3 b;
    
    Edge operator+(Vector3 v)
    {
      Edge ret;
      ret.a = a+v;
      ret.b = b+v;
      ret.dir = dir;
      return ret;
    }
};

#endif
