#include "RBState.hpp"

RBState RBState::operator+(RBState s)
{
  RBState ret;
  ret.vel = vel + s.vel;
  ret.pos = pos + s.pos;
  ret.ang_vel = ang_vel + s.ang_vel;
  ret.ang_pos = ang_pos + s.ang_pos;
  return ret;
}

RBState RBState::operator*(double a)
{
  RBState ret;
  ret.vel = vel * a;
  ret.pos = pos * a;
  ret.ang_vel = ang_vel * a;
  ret.ang_pos = ang_pos * a;
  return ret;
}

RBState RBState::operator/(double a)
{
  RBState ret;
  ret.vel = vel / a;
  ret.pos = pos / a;
  ret.ang_vel = ang_vel / a;
  ret.ang_pos = ang_pos / a;
  return ret;
}
