#ifndef RBSTATE
#define RBSTATE

#include "Vector3.hpp"
#include "Quaternion.hpp"

class RBState
{
  public:
    Vector3 pos;
    Vector3 vel; 
    Quaternion ang_pos;
    Vector3 ang_vel;
    
    // operacje arytmetyczne na stanach ulatwiaja rozwiazywanie ODE
    RBState operator+(RBState s);
    RBState operator*(double a);
    RBState operator/(double a);
};

#endif
